part of 'discount_cubit.dart';

sealed class DiscountState extends Equatable {
  const DiscountState();

  @override
  List<Object> get props => [];
}

final class DiscountInitial extends DiscountState {}

final class DiscountLoading extends DiscountState {}

final class DiscountSuccess extends DiscountState {
  final DiscountModel discount;
  final String code;

  const DiscountSuccess({required this.discount, required this.code});
}

final class DiscountFail extends DiscountState {
  final String? message;

  const DiscountFail({this.message});
}
